@article{hermann_15,
  author    = {Karl Moritz Hermann and
               Tom{\'{a}}s Kocisk{\'{y}} and
               Edward Grefenstette and
               Lasse Espeholt and
               Will Kay and
               Mustafa Suleyman and
               Phil Blunsom},
  title     = {Teaching Machines to Read and Comprehend},
  journal   = {CoRR},
  volume    = {abs/1506.03340},
  year      = {2015},
  url       = {http://arxiv.org/abs/1506.03340},
  archivePrefix = {arXiv},
  eprint    = {1506.03340},
  timestamp = {Mon, 13 Aug 2018 16:49:00 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/HermannKGEKSB15},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{nallapati_16,
  author    = {Ramesh Nallapati and
               Bing Xiang and
               Bowen Zhou},
  title     = {Sequence-to-Sequence RNNs for Text Summarization},
  journal   = {CoRR},
  volume    = {abs/1602.06023},
  year      = {2016},
  url       = {http://arxiv.org/abs/1602.06023},
  archivePrefix = {arXiv},
  eprint    = {1602.06023},
  timestamp = {Mon, 13 Aug 2018 16:46:52 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/NallapatiXZ16},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%@InProceedings{K16-1028,
%  author = 	"Nallapati, Ramesh
%		and Zhou, Bowen
%		and dos Santos, Cicero
%		and Gulcehre, Caglar
%		and Xiang, Bing",
%  title = 	"Abstractive Text Summarization using Sequence-to-sequence RNNs and Beyond",
%  booktitle = 	"Proceedings of The 20th SIGNLL Conference on Computational Natural      Language Learning    ",
%  year = 	"2016",
%  publisher = 	"Association for Computational Linguistics",
%  pages = 	"280--290",
%  location = 	"Berlin, Germany",
%  doi = 	"10.18653/v1/K16-1028",
%  url = 	"http://aclweb.org/anthology/K16-1028"
%}

@article{see_17,
  author    = {Abigail See and
               Peter J. Liu and
               Christopher D. Manning},
  title     = {Get To The Point: Summarization with Pointer-Generator Networks},
  journal   = {CoRR},
  volume    = {abs/1704.04368},
  year      = {2017},
  url       = {http://arxiv.org/abs/1704.04368},
  archivePrefix = {arXiv},
  eprint    = {1704.04368},
  timestamp = {Mon, 13 Aug 2018 16:46:08 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/SeeLM17},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@ARTICLE {gigaword_2003,
    author  = "Graff David, and Christopher Cieri",
    title   = "English Gigaword",
    journal = "Linguistic Data Consortium",
    year    = "2003"
}

% from http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.294.9665
@INPROCEEDINGS{gigaword_2012,
    author = {Courtney Napoles and Matthew Gormley and Benjamin Van Durme},
    title = {Annotated gigaword},
    booktitle = {In Proceedings of AKBC-WEKEX 2012},
    year = {2012}
}

@article{copeck2004vocabulary,
  title={Vocabulary usage in newswire summaries},
  author={Copeck, Terry and Szpakowicz, Stan},
  journal={Text Summarization Branches Out},
  year={2004}
}

@InProceedings{manning_14,
  author    = {Manning, Christopher D. and  Surdeanu, Mihai  and  Bauer, John  and  Finkel, Jenny  and  Bethard, Steven J. and  McClosky, David},
  title     = {The {Stanford} {CoreNLP} Natural Language Processing Toolkit},
  booktitle = {Association for Computational Linguistics (ACL) System Demonstrations},
  year      = {2014},
  pages     = {55--60},
  url       = {http://www.aclweb.org/anthology/P/P14/P14-5010}
}

@inproceedings{cornell_18,
  author    = {Grusky, Max and Naaman, Mor and Artzi, Yoav},
  title     = {NEWSROOM: A Dataset of 1.3 Million Summaries
               with Diverse Extractive Strategies},
  booktitle = {Proceedings of the 2018 Conference of the
               North American Chapter of the Association for
               Computational Linguistics: Human Language Technologies},
  publisher = {Association for Computational Linguistics},
  pages     = {708--719},
  year      = {2018},
  month     = {June},
  address   = {New Orleans, Louisiana},
  url       = {http://aclweb.org/anthology/N18-1065}
}

@book{jurafsky_2009,
 author = {Jurafsky, Daniel and Martin, James H.},
 title = {Speech and Language Processing (2nd Edition)},
 year = {2009},
 isbn = {0131873210},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
}

@book{jurafsky_2019,
 author = {Jurafsky, Daniel and Martin, James H.},
 title = {Speech and Language Processing (3rd Edition, Sep 23, 2018 draft)},
 year = {2019},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
}

@InProceedings{xu_15,
  title = 	 {Show, Attend and Tell: Neural Image Caption Generation with Visual Attention},
  author = 	 {Kelvin Xu and Jimmy Ba and Ryan Kiros and Kyunghyun Cho and Aaron Courville and Ruslan Salakhudinov and Rich Zemel and Yoshua Bengio},
  booktitle = 	 {Proceedings of the 32nd International Conference on Machine Learning},
  pages = 	 {2048--2057},
  year = 	 {2015},
  editor = 	 {Francis Bach and David Blei},
  volume = 	 {37},
  series = 	 {Proceedings of Machine Learning Research},
  address = 	 {Lille, France},
  month = 	 {07--09 Jul},
  publisher = 	 {PMLR},
  pdf = 	 {http://proceedings.mlr.press/v37/xuc15.pdf},
  url = 	 {http://proceedings.mlr.press/v37/xuc15.html},
  abstract = 	 {Inspired by recent work in machine translation and object detection, we introduce an attention based model that automatically learns to describe the content of images. We describe how we can train this model in a deterministic manner using standard backpropagation techniques and stochastically by maximizing a variational lower bound. We also show through visualization how the model is able to automatically learn to fix its gaze on salient objects while generating the corresponding words in the output sequence. We validate the use of attention with state-of-the-art performance on three benchmark datasets: Flickr8k, Flickr30k and MS COCO.}
}

@inproceedings{karpathy2015deep,
  title={Deep visual-semantic alignments for generating image descriptions},
  author={Karpathy, Andrej and Fei-Fei, Li},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  pages={3128--3137},
  year={2015}
}

@inproceedings{video_sum_98,
  title={Video summarization by curve simplification},
  author={DeMenthon, Daniel and Kobla, Vikrant and Doermann, David},
  booktitle={Proceedings of the sixth ACM international conference on Multimedia},
  pages={211--218},
  year={1998},
  organization={ACM}
}

@inproceedings{zhuang_06,
  title={Movie review mining and summarization},
  author={Zhuang, Li and Jing, Feng and Zhu, Xiao-Yan},
  booktitle={Proceedings of the 15th ACM international conference on Information and knowledge management},
  pages={43--50},
  year={2006},
  organization={ACM}
}

@inproceedings{hu_04,
  title={Mining and summarizing customer reviews},
  author={Hu, Minqing and Liu, Bing},
  booktitle={Proceedings of the tenth ACM SIGKDD international conference on Knowledge discovery and data mining},
  pages={168--177},
  year={2004},
  organization={ACM}
}

@inproceedings{cortes_14,
  title={On automatically generating commit messages via summarization of source code changes},
  author={Cort{\'e}s-Coy, Luis Fernando and Linares-V{\'a}squez, Mario and Aponte, Jairo and Poshyvanyk, Denys},
  booktitle={Source Code Analysis and Manipulation (SCAM), 2014 IEEE 14th International Working Conference on},
  pages={275--284},
  year={2014},
  organization={IEEE}
}

@book{mani_99,
   title =     {Advances in Automatic Text Summarization},
   author =    {Mani, I. and Maybury, M.T. (eds.)},
   publisher = {MIT},
   isbn =      {0262133598,9780262133593},
   year =      {1999},
}

@InProceedings{mihalcea_04,
  author =  "Mihalcea, Rada
    and Tarau, Paul ",
  title =   "TextRank: Bringing Order into Text",
  booktitle =   "Proceedings of the 2004 Conference on Empirical Methods in Natural Language Processing ",
  year =  "2004",
  url =   "http://aclweb.org/anthology/W04-3252"
}

@article{lexrank_04,
  title={Lexrank: Graph-based lexical centrality as salience in text summarization},
  author={Erkan, G{\"u}nes and Radev, Dragomir R},
  journal={Journal of artificial intelligence research},
  volume={22},
  pages={457--479},
  year={2004}
}

@techreport{pagerank_99,
  title={The PageRank citation ranking: Bringing order to the web.},
  author={Page, Lawrence and Brin, Sergey and Motwani, Rajeev and Winograd, Terry},
  year={1999},
  institution={Stanford InfoLab}
}

@article{barrios_16,
  title={Variations of the Similarity Function of TextRank for Automated Summarization},
  author={Federico Barrios and Federico L{\'o}pez and Luis Argerich and Rosa Wachenchauzer},
  journal={CoRR},
  year={2016},
  volume={abs/1602.03606}
}

@inproceedings{gensim,
        title = {{Software Framework for Topic Modelling with Large Corpora}},
        author = {Radim {\v R}eh{\r u}{\v r}ek and Petr Sojka},
        booktitle = {{Proceedings of the LREC 2010 Workshop on New
             Challenges for NLP Frameworks}},
        pages = {45--50},
        year = 2010,
        month = May,
        day = 22,
        publisher = {ELRA},
        address = {Valletta, Malta},
        note={\url{http://is.muni.cz/publication/884893/en}},
        language={English}
}

@article{bm25,
  title={The probabilistic relevance framework: BM25 and beyond},
  author={Robertson, Stephen and Zaragoza, Hugo and others},
  journal={Foundations and Trends{\textregistered} in Information Retrieval},
  volume={3},
  number={4},
  pages={333--389},
  year={2009},
  publisher={Now Publishers, Inc.}
}

@incollection{saggion_13,
  title={Automatic text summarization: Past, present and future},
  author={Saggion, Horacio and Poibeau, Thierry},
  booktitle={Multi-source, multilingual information extraction and summarization},
  pages={3--21},
  year={2013},
  publisher={Springer}
}

@article{allahyari_17,
  title={Text Summarization Techniques: A Brief Survey},
  author={Mehdi Allahyari and Seyed Amin Pouriyeh and Mehdi Assefi and Saeid Safaei and Elizabeth D. Trippe and Juan B. Gutierrez and Krys J. Kochut},
  journal={CoRR},
  year={2017},
  volume={abs/1707.02268}
}

@inproceedings{nenkova_04,
  title={Evaluating content selection in summarization: The pyramid method},
  author={Nenkova, Ani and Passonneau, Rebecca},
  booktitle={Proceedings of the human language technology conference of the north american chapter of the association for computational linguistics: Hlt-naacl 2004},
  year={2004}
}

@article{rouge_04,
  title={Rouge: A package for automatic evaluation of summaries},
  author={Lin, Chin-Yew},
  journal={Text Summarization Branches Out},
  year={2004}
}

@article{luhn_58,
  title={The automatic creation of literature abstracts},
  author={Luhn, Hans Peter},
  journal={IBM Journal of research and development},
  volume={2},
  number={2},
  pages={159--165},
  year={1958},
  publisher={IBM}
}

@article{nenkova_07,
  title={The pyramid method: Incorporating human content selection variation in summarization evaluation},
  author={Nenkova, Ani and Passonneau, Rebecca and McKeown, Kathleen},
  journal={ACM Transactions on Speech and Language Processing (TSLP)},
  volume={4},
  number={2},
  pages={4},
  year={2007},
  publisher={ACM}
}

@article{zajic_07,
  title={Multi-candidate reduction: Sentence compression as a tool for document summarization tasks},
  author={Zajic, David and Dorr, Bonnie J and Lin, Jimmy and Schwartz, Richard},
  journal={Information Processing \& Management},
  volume={43},
  number={6},
  pages={1549--1570},
  year={2007},
  publisher={Elsevier}
}

@article{lda_03,
  title={Latent dirichlet allocation},
  author={Blei, David M and Ng, Andrew Y and Jordan, Michael I},
  journal={Journal of machine Learning research},
  volume={3},
  number={Jan},
  pages={993--1022},
  year={2003}
}

@inproceedings{s2s_14,
  title={Sequence to sequence learning with neural networks},
  author={Sutskever, Ilya and Vinyals, Oriol and Le, Quoc V},
  booktitle={Advances in neural information processing systems},
  pages={3104--3112},
  year={2014}
}

@inproceedings{rush_15,
  title={A Neural Attention Model for Abstractive Sentence Summarization},
  author={Rush, Alexander M and Chopra, Sumit and Weston, Jason},
  booktitle={Proceedings of the 2015 Conference on Empirical Methods in Natural Language Processing},
  pages={379--389},
  year={2015}
}

@InProceedings{cohn_08,
  author = 	"Cohn, Trevor
		and Lapata, Mirella",
  title = 	"Sentence Compression Beyond Word Deletion",
  booktitle = 	"Proceedings of the 22nd International Conference on Computational Linguistics (Coling 2008)",
  year = 	"2008",
  publisher = 	"Coling 2008 Organizing Committee",
  pages = 	"137--144",
  location = 	"Manchester, UK",
  url = 	"http://aclweb.org/anthology/C08-1018"
}

@thesis{dlr119932,
           month = {May},
           title = {Deep recurrent neural networks for abstractive text summarization},
          school = {Universit{\"a}t Bielefeld},
          author = {Marie Kl{\"o}nne},
            type = {Bachelor's},
            year = {2018},
        keywords = {machine learning, deep learning, test mining, lstm, recurrent neural networks,},
             url = {https://elib.dlr.de/119932/},
        abstract = {This thesis is dealing with the creation of a model for abstractive text summarization. For this purpose, recurrent neural networks are used to generate accurate summaries of given texts in the correct English language and context. We are appending a combination of recurrent neural network with hierarchical attention followed by Long Short Term Memory Networks (LSTM) building an auto-encoder structure. This work shows a possible upgradeable variant for automatically summarizing texts and can now be expanded for further research. The abstract compilation of texts is still in its infancy, and there are still many different open possibilities waiting to be realized.}
}

@article{bahdanau_14,
  title={Neural Machine Translation by Jointly Learning to Align and Translate},
  author={Dzmitry Bahdanau and Kyunghyun Cho and Yoshua Bengio},
  journal={CoRR},
  year={2014},
  volume={abs/1409.0473}
}

@article{paulus_17,
  title={A Deep Reinforced Model for Abstractive Summarization},
  author={Romain Paulus and Caiming Xiong and Richard Socher},
  journal={CoRR},
  year={2017},
  volume={abs/1705.04304}
}

@article{miller_18,
  title={When Recurrent Models Don't Need To Be Recurrent},
  author={John Miller and Moritz Hardt},
  journal={CoRR},
  year={2018},
  volume={abs/1805.10369}
}

@book{dlbook,
    title={Deep Learning},
    author={Ian Goodfellow and Yoshua Bengio and Aaron Courville},
    publisher={MIT Press},
    note={\url{http://www.deeplearningbook.org}},
    year={2016}
}

@Book{Mitchell:1997:ML,
  author = "Tom M. Mitchell",
  title = "Machine Learning",
  publisher = "McGraw-Hill",
  address = "New York",
  keywords = "machine learning",
  year = "1997"
}

@InProceedings{massive_nmt,
  author = 	"Britz, Denny
		and Goldie, Anna
		and Luong, Minh-Thang
		and Le, Quoc",
  title = 	"Massive Exploration of Neural Machine Translation Architectures",
  booktitle = 	"Proceedings of the 2017 Conference on Empirical Methods in Natural      Language Processing    ",
  year = 	"2017",
  publisher = 	"Association for Computational Linguistics",
  pages = 	"1442--1451",
  location = 	"Copenhagen, Denmark",
  doi = 	"10.18653/v1/D17-1151",
  url = 	"http://aclweb.org/anthology/D17-1151"
}

@article{chung_14,
  title={Empirical Evaluation of Gated Recurrent Neural Networks on Sequence Modeling},
  author={Junyoung Chung and Çaglar G{\"u}lçehre and Kyunghyun Cho and Yoshua Bengio},
  journal={CoRR},
  year={2014},
  volume={abs/1412.3555}
}

@book{Wittgenstein1953-WITPI-4,
	title = {Philosophical Investigations},
	year = {1953},
	publisher = {Wiley-Blackwell},
	author = {Ludwig Wittgenstein}
}

@book{manning_99,
 author = {Manning, Christopher D. and Sch\"{u}tze, Hinrich},
 title = {Foundations of Statistical Natural Language Processing},
 year = {1999},
 isbn = {0-262-13360-1},
 publisher = {MIT Press},
 address = {Cambridge, MA, USA},
}

@book{zipf,
   title =     {Human Behavior and the Principle of Least Effort},
   author =    {George Zipf},
   publisher = {},
   isbn =      {},
   year =      {1949},
   series =    {},
   edition =   {},
   volume =    {},
   url =       {}
}

@incollection{word2vec,
title = {Distributed Representations of Words and Phrases and their Compositionality},
author = {Mikolov, Tomas and Sutskever, Ilya and Chen, Kai and Corrado, Greg S and Dean, Jeff},
booktitle = {Advances in Neural Information Processing Systems 26},
editor = {C. J. C. Burges and L. Bottou and M. Welling and Z. Ghahramani and K. Q. Weinberger},
pages = {3111--3119},
year = {2013},
publisher = {Curran Associates, Inc.},
url = {http://papers.nips.cc/paper/5021-distributed-representations-of-words-and-phrases-and-their-compositionality.pdf}
}

@inproceedings{glove,
  author = {Jeffrey Pennington and Richard Socher and Christopher D. Manning},
  booktitle = {Empirical Methods in Natural Language Processing (EMNLP)},
  title = {GloVe: Global Vectors for Word Representation},
  year = {2014},
  pages = {1532--1543},
  url = {http://www.aclweb.org/anthology/D14-1162},
}

@article{fastText,
  title={Enriching Word Vectors with Subword Information},
  author={Bojanowski, Piotr and Grave, Edouard and Joulin, Armand and Mikolov, Tomas},
  journal={Transactions of the Association for Computational Linguistics},
  volume={5},
  year={2017},
  issn={2307-387X},
  pages={135--146}
}

@article{bengio_03,
  title={A neural probabilistic language model},
  author={Bengio, Yoshua and Ducharme, R{\'e}jean and Vincent, Pascal and Jauvin, Christian},
  journal={Journal of machine learning research},
  volume={3},
  number={Feb},
  pages={1137--1155},
  year={2003}
}

@book{crystal_dict,
   title =     {A Dictionary of Linguistics and Phonetics, 6th Edition},
   author =    {David Crystal},
   publisher = {Wiley-Blackwell},
   isbn =      {},
   year =      {2008},
   series =    {},
   edition =   {},
   volume =    {},
   pages={104--105},
   url =       {}
}

@inproceedings{cho_14,
  title={Learning Phrase Representations using RNN Encoder-Decoder for Statistical Machine Translation},
  author={Kyunghyun Cho and Bart van Merrienboer and Çaglar G{\"u}lçehre and Dzmitry Bahdanau and Fethi Bougares and Holger Schwenk and Yoshua Bengio},
  booktitle={EMNLP},
  year={2014}
}

@InProceedings{luong_15,
  author = 	"Luong, Thang
		and Pham, Hieu
		and Manning, Christopher D.",
  title = 	"Effective Approaches to Attention-based Neural Machine Translation",
  booktitle = 	"Proceedings of the 2015 Conference on Empirical Methods in Natural      Language Processing    ",
  year = 	"2015",
  publisher = 	"Association for Computational Linguistics",
  pages = 	"1412--1421",
  location = 	"Lisbon, Portugal",
  doi = 	"10.18653/v1/D15-1166",
  url = 	"http://aclweb.org/anthology/D15-1166"
}

@article{williams_89,
  title={A learning algorithm for continually running fully recurrent neural networks},
  author={Williams, Ronald J and Zipser, David},
  journal={Neural computation},
  volume={1},
  number={2},
  pages={270--280},
  year={1989},
  publisher={MIT Press}
}

@InProceedings{jean_15,
  author = 	"Jean, S{\'e}bastien
		and Cho, Kyunghyun
		and Memisevic, Roland
		and Bengio, Yoshua",
  title = 	"On Using Very Large Target Vocabulary for Neural Machine Translation",
  booktitle = 	"Proceedings of the 53rd Annual Meeting of the Association for Computational Linguistics and the 7th International Joint Conference on Natural Language Processing (Volume 1: Long Papers)",
  year = 	"2015",
  publisher = 	"Association for Computational Linguistics",
  pages = 	"1--10",
  location = 	"Beijing, China",
  doi = 	"10.3115/v1/P15-1001",
  url = 	"http://aclweb.org/anthology/P15-1001"
}

@inproceedings{grave_17,
  title={Efficient softmax approximation for GPUs},
  author={Edouard Grave and Armand Joulin and Moustapha Ciss{\'e} and David Grangier and Herv{\'e} J{\'e}gou},
  booktitle={ICML},
  year={2017}
}

@book{CUDA,
   author = {{NVIDIA Corporation}},
   title = {NVIDIA CUDA Compute Unified Device Architecture Programming Guide},
   publisher = {NVIDIA Corporation},
   year = {2007}
}

@article{cuDNN,
  title={cuDNN: Efficient Primitives for Deep Learning},
  author={Sharan Chetlur and Cliff Woolley and Philippe Vandermersch and Jonathan Cohen and John Tran and Bryan Catanzaro and Evan Shelhamer},
  journal={CoRR},
  year={2014},
  volume={abs/1410.0759}
}

@inproceedings{pytorch,
  title={Automatic differentiation in PyTorch},
  author={Paszke, Adam and Gross, Sam and Chintala, Soumith and Chanan, Gregory and Yang, Edward and DeVito, Zachary and Lin, Zeming and Desmaison, Alban and Antiga, Luca and Lerer, Adam},
  booktitle={NIPS-W},
  year={2017}
}

@Article{matplotlib,
  Author    = {Hunter, J. D.},
  Title     = {Matplotlib: A 2D graphics environment},
  Journal   = {Computing In Science \& Engineering},
  Volume    = {9},
  Number    = {3},
  Pages     = {90--95},
  abstract  = {Matplotlib is a 2D graphics package used for Python
  for application development, interactive scripting, and
  publication-quality image generation across user
  interfaces and operating systems.},
  publisher = {IEEE COMPUTER SOC},
  doi       = {10.1109/MCSE.2007.55},
  year      = 2007
}

@book{numpy,
author = {Oliphant, Travis},
year = {2006},
month = {01},
pages = {},
title = {Guide to NumPy}
}

@Techreport{python,
 title= {Python tutorial},
 author = {G. van Rossum},
 number={CS-R9526},
 institution= {Centrum voor Wiskunde en Informatica (CWI)},
 year= {1995},
 address={Amsterdam},
 month={May}
}

@online{conda,
  author = {Anaconda Software Distribution},
  title = {Anaconda},
  year = 2016,
  url = {https://anaconda.com/},
  urldate = {2019-02-06}
}

@article{medical_sum,
author = {Pivovarov, Rimma and Elhadad, Noémie},
year = {2015},
month = {04},
pages = {},
title = {Automated Methods for the Summarization of Electronic Health Records.},
volume = {22},
journal = {Journal of the American Medical Informatics Association : JAMIA},
doi = {10.1093/jamia/ocv032}
}

% large vocabulary trick
% bahl etal 1983 speech recognition language model
% adaptive softmax
